#ifndef _IPL_GPIO_H_
#define _IPL_GPIO_H_

#include "types.h"

#define PIN(index, shift)	((index<<16) | (shift))
#define _PIN2INDEX(pin)		((pin>>16) & 0xffff)
#define _PIN2SHIFT(pin)		(pin & 0xffff)

int gpio_direction_input(u32 pin);
int gpio_direction_output(u32 pin, u8 level);
int gpio_get_value(u32 pin);
int gpio_set_value(u32 pin, u8 level);

#endif
