#ifndef _IPL_I2C_GPIO_H_
#define _IPL_I2C_GPIO_H_

#include "types.h"

#define I2C_WR_BIT 0
#define I2C_RD_BIT 1

struct i2c_msg {
	u8 *buf;
	size_t len;
	u8 flags;
#define I2C_M_WR 0
#define I2C_M_RD 1
#define I2C_REPSTART 2
};

struct gpio_i2c_device {
	u32 scl_pin;
	u32 sda_pin;
	u32 wait_usecs;
};

extern int i2c_xfer(struct gpio_i2c_device *dev, struct i2c_msg *msgs, size_t num);

#endif
